{% extends 'base.html.twig' %}

{% block title %}Ventes{% endblock %}

{% block body %}

    <h1 class="text-4xl tracking-tight font-extrabold text-gray-900 pb-6 sm:text-5xl md:text-6xl">
        <span>Ventes</span>
    </h1>

    <table class="table-auto">
        <thead class="bg-yellow-100">
            <tr>
                <th class="py-6 rounded-l-xl text-yellow-500">Titre</th>
                <th class="py-6 text-yellow-500">Date</th>
                <th class="py-6 text-yellow-500">Lieu</th>
                <th class="py-6 text-yellow-500">Vente terminée ?</th>
                <th class="py-6 rounded-r-xl text-yellow-500">Voir +</th>
            </tr>
        </thead>
        <tbody>
        {% for vente in ventes %}
            <tr class="bg-gray-100 border-t-8 border-white">
                <td class="py-4 rounded-l-xl text-center">{{ vente.titre }}</td>
                <td class="py-4 text-center">{{ vente.date ? vente.date|date('d/m/Y') : '' }}</td>
                <td class="py-4 text-center">{{ vente.idLieu.nom }}</td>
                <td class="py-4 text-center">{{ vente.isFinished ? 'Oui' : 'Non' }}</td>
                <td class="py-4 rounded-r-xl text-center">
                    <a href="{{ path('vente_show', {'id': vente.id}) }}"><i class="fas fa-eye text-gray-500 hover:text-gray-700 text-2xl"></i></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td class="text-center py-4" colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
